Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.multiplayer
Class ServerList

    java.lang.Object
      net.minecraft.client.multiplayer.ServerList

    public class ServerList

extends Object

Constructor Summary
`ServerList(Minecraft par1Minecraft)`

Method Summary
`void` | `addServerData(ServerData par1ServerData)` Adds the given ServerData instance to the list.
`int` | `countServers()` Counts the number of ServerData instances in the list.
`static void` | `func_78852_b(ServerData par0ServerData)`
`ServerData` | `getServerData(int par1)` Gets the ServerData instance stored for the given index in the list.
`void` | `loadServerList()` Loads a list of servers from servers.dat, by running ServerData.getServerDataFromNBTCompound on each NBT compound found in the "servers" tag list.
`void` | `removeServerData(int par1)` Removes the ServerData instance stored for the given index in the list.
`void` | `saveServerList()` Runs getNBTCompound on each ServerData instance, puts everything into a "servers" NBT list and writes it to servers.dat.
`void` | `setServer(int par1, ServerData par2ServerData)` Sets the given index in the list to the given ServerData instance.
`void` | `swapServers(int par1, int par2)` Takes two list indexes, and swaps their order around.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerList

    public ServerList(Minecraft par1Minecraft)

Method Detail

### loadServerList

    public void loadServerList()

  Loads a list of servers from servers.dat, by running ServerData.getServerDataFromNBTCompound on each NBT compound found in the "servers" tag list.

### saveServerList

    public void saveServerList()

  Runs getNBTCompound on each ServerData instance, puts everything into a "servers" NBT list and writes it to servers.dat.

### getServerData

    public ServerData getServerData(int par1)

  Gets the ServerData instance stored for the given index in the list.

### removeServerData

    public void removeServerData(int par1)

  Removes the ServerData instance stored for the given index in the list.

### addServerData

    public void addServerData(ServerData par1ServerData)

  Adds the given ServerData instance to the list.

### countServers

    public int countServers()

  Counts the number of ServerData instances in the list.

### swapServers

    public void swapServers(int par1,
                            int par2)

  Takes two list indexes, and swaps their order around.

### setServer

    public void setServer(int par1,
                          ServerData par2ServerData)

  Sets the given index in the list to the given ServerData instance.

### func_78852_b

    public static void func_78852_b(ServerData par0ServerData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD